Page 1 of 3 123 LastLast
Results 1 to 10 of 24

Thread: How to install avidemux?

  1. #1

    Default How to install avidemux?

    Hi everybody.
    Tell me, what happens with avidemux? How to solve this problem?
    I need this tool ....


    Code:
    ~>LC_ALL=C sudo zypper in avidemux3-qt5 avidemux3
    Loading repository data...
    Reading installed packages...                                                                                                 
    Resolving package dependencies...                                                                                              
    2 Problems:                                                                                                                    
    Problem: nothing provides libx265.so.146()(64bit) needed by avidemux3-qt5-2.7.0-4.1.x86_64                                     
    Problem: nothing provides libx265.so.146()(64bit) needed by avidemux3-cli-2.7.0-4.1.x86_64  
    Problem: nothing provides libx265.so.146()(64bit) needed by avidemux3-qt5-2.7.0-4.1.x86_64                  
     Solution 1: do not install avidemux3-qt5-2.7.0-4.1.x86_64                                                               
     Solution 2: break avidemux3-qt5-2.7.0-4.1.x86_64 by ignoring some of its dependencies 
    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): c
                                              
    ~> LC_ALL=C sudo zypper in avidemux               
    Loading repository data...                                                                                   
    Reading installed packages...                                                                                    
    Resolving package dependencies... 
    Problem: nothing provides libvpx.so.4()(64bit) needed by avidemux-2.5.6-9012.8.x86_64                        
     Solution 1: do not install avidemux-2.5.6-9012.8.x86_64                                                            
     Solution 2: break avidemux-2.5.6-9012.8.x86_64 by ignoring some of its dependencies
    Choose from above solutions by number or cancel [1/2/c] (c): c
    
    ~> LC_ALL=C cat /etc/os-release
    NAME="openSUSE Tumbleweed"
    # VERSION="20180404"
    ID=opensuse
    ID_LIKE="suse"
    VERSION_ID="20180404"
    PRETTY_NAME="openSUSE Tumbleweed"
    ANSI_COLOR="0;32"
    CPE_NAME="cpe:/o:opensuse:tumbleweed:20180404"
    BUG_REPORT_URL="https://bugs.opensuse.org"
    HOME_URL="https://www.opensuse.org/"
    

  2. #2

    Default Re: How to install avidemux?

    Well, both versions fail to build on Tumbleweed currently, so they have not been rebuilt against current snapshots and still require older libs that are no longer available in the repos.

    You need to wait until somebody fixes it, maybe report the problem on the Packman mailinglist, although they are probably aware of that already anyway I suppose.

  3. #3
    Join Date
    Jan 2018
    Location
    Canada
    Posts
    193

    Default Re: How to install avidemux?

    While you wait there are a couple of options.

    The simplest is to install a distribution that has the package on a virtual machine using kvm or VirtualBox. When it is available on TW you can delete the image.

    The other would be to use docker and https://hub.docker.com/r/jlesage/avidemux/ but I don’t recommend docker if you are using btrfs due to issues with rolling back.

  4. #4

    Default Re: How to install avidemux?

    Strange, I have Avidemux-qt5 installed in Tumbleweed and it has not caused me any dependency

  5. #5

    Default Re: How to install avidemux?

    Quote Originally Posted by enziosavio View Post
    Strange, I have Avidemux-qt5 installed in Tumbleweed and it has not caused me any dependency
    No, that's not strange.

    You installed it when those libraries were still available, so you have those libraries installed and the dependencies are satisfied.
    But those libraries are not in the repo anymore, so they (and avidemux as a consequence) cannot be installed *fresh*.

    If you look in YaST (or run e.g. "zypper se -s libx265"), you will see that those packages are installed but are not in any repo (they are listed as "System packages").

  6. #6

    Default Re: How to install avidemux?

    Yes there is an old libx265
    Code:
    enziosavio@linux-area51:~> zypper se -s libx265
    Caricamento dati del repository in corso...
    Lettura dei pacchetti installati in corso...
    
    S  | Nome                        | Tipo      | Versione | Arch.  | Repository            
    ---+-----------------------------+-----------+----------+--------+-----------------------
    i+ | libx265-146                 | pacchetto | 2.6-2.1  | x86_64 | (Pacchetti di sistema)
    i+ | libx265-151                 | pacchetto | 2.7-2.6  | x86_64 | packman               
    v  | libx265-151                 | pacchetto | 2.7-2.6  | i586   | packman               
       | libx265-151-32bit           | pacchetto | 2.7-2.6  | x86_64 | packman               
       | libx265-151-32bit-debuginfo | pacchetto | 2.7-2.6  | x86_64 | packman               
       | libx265-151-debuginfo       | pacchetto | 2.7-2.6  | x86_64 | packman               
       | libx265-151-debuginfo       | pacchetto | 2.7-2.6  | i586   | packman               
       | libx265-devel               | pacchetto | 2.7-2.6  | x86_64 | packman               
       | libx265-devel               | pacchetto | 2.7-2.6  | i586   | packman

  7. #7

    Default Re: How to install avidemux?

    Try this, if you create dependencies, do not install it
    ftp://ftp.pbone.net/mirror/packman.i...1.2.x86_64.rpm

  8. #8

    Default Re: How to install avidemux?

    Quote Originally Posted by enziosavio View Post
    Strange, I have Avidemux-qt5 installed in Tumbleweed and it has not caused me any dependency
    Quote Originally Posted by wolfi323 View Post
    No, that's not strange.
    You installed it when those libraries were still available, so you have those libraries installed and the dependencies are satisfied.
    One week ago avidemux was removed from my system during zypper dup .
    It's strange that you managed to keep this package.

  9. #9

    Default Re: How to install avidemux?

    Quote Originally Posted by aleksejsmir View Post
    One week ago avidemux was removed from my system during zypper dup .
    It's strange that you managed to keep this package.
    I do not know what to say, looking at the date it was installed on 04 March 2018

  10. #10

    Default Re: How to install avidemux?

    Quote Originally Posted by aleksejsmir View Post
    One week ago avidemux was removed from my system during zypper dup .
    Sure, "zypper dup" can (and does) remove packages in case of conflicts.
    I cannot say why you "lost" it and enziosavio not.
    Maybe he uses "zypper up" to update? That's strongly discouraged though...
    Although, I do think "zypper dup" would not remove an installed package just because it's no longer in the repos.

    In any case, you should indeed be able to install avidemux3 if you install the old libx265-146 from 42.2 as enziosavio suggested. But you'd need libx264-148 as well.
    ftp://ftp.pbone.net/mirror/packman.i...1.2.x86_64.rpm

    (do *not* add the repo, just install those two packages)

    I don't see any possible problems with that (as a temporary workaround until it's fixed), the different versions are co-installable so other software will just continue to use the latest ones.

    For avidemux 2.5 you'd need libvpx4, but I don't see an installable version of that anywhere...
    It's part of the distribution, not Packman, and Leap 42 only has libvpx1.
    (If you are really adventurous, you could try to install the avidemux package and libvpx1 for 42.3, but there may be other missing dependencies then)
    Last edited by wolfi323; 07-Apr-2018 at 03:28.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •